configure-grub(1)

NAME
configure-grub - helps to change some GRUB boot-loader options

SYNOPSIS
configure-grub grub-defaults-template-file
[-i input-grub-defaults-file | - -input input-grub-defaults-file]
[-o output-grub-defaults-file | - -output output-grub-defaults-file]
[-V GRUB_GFXMODE | - -video GRUB_GFXMODE]
[-T GRUB_INIT_TUNE | - -tune GRUB_INIT_TUNE]
configure-grub [-h | - -help]
configure-grub [-v | - -version]

DESCRIPTION
configure-grub adjusts a GRUB configuration file by applying a configuration from a template, and merging the existing configuration settings with additional customisations. It can for example be used to set a custom screen resolution (GRUB_GFXMODE option) or startup tune (GRUB_INIT_TUNE option).

WARNING: This program is meant to be used by expert users! Do not modify a working GRUB configuration without knowing how to boot the system from a rescue media to fix a broken setup!

ARGUMENTS
The following options are available:

-i input-grub-defaults-file | - -input input-grub-defaults-file
    Set name of input GRUB file (default: /etc/default/grub).

-o output-grub-defaults-file | - -output output-grub-defaults-file
    Set name of output GRUB file to write (default: grub-defaults.new).

-V GRUB_GFXMODE | - -video GRUB_GFXMODE
    Replace GRUB_GFXMODE by the provided setting.

-T GRUB_INIT_TUNE | - -tune GRUB_INIT_TUNE
    Replace GRUB_INIT_TUNE by the provided setting.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The configure-grub tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

configure-grub /usr/share/configure-grub/grub-defaults-standard -V 'auto,1920x1080,1024x768' -T '20000 584 144 736 48 1048 288 984 96 784 63 0 1 656 64 880 63 0 1 1176 192'

sudo configure-grub /usr/share/configure-grub/grub-defaults-nornet -V 'auto,1024x768' -o /etc/default/grub

sudo configure-grub /usr/share/configure-grub/grub-defaults-nornet -i /etc/default/grub -V 'auto,1920x1080,1024x768' -T '20000 584 144 736 48 1048 288 984 96 784 63 0 1 656 64 880 63 0 1 1176 192' -o /etc/default/grub

configure-grub --version

configure-grub --help

SEE ALSO
Reset-Machine-ID(1), System-Maintenance(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh